<?php

class MBLMIAdmin
{
    /**
     * MBLMIAdmin constructor.
     */
    public function __construct()
    {
		$this->_setHooks();
    }
	
	private function _setHooks()
	{
		add_action('mbl_options_items_after', [$this, 'optionTitle'], 30);
		add_action('mbl_options_content_after', [$this, 'optionContent'], 30);

        add_filter('mbl_short_description_maxlength', [$this, 'setShortDescriptionMaxLength'], 5);
    }
	
	public function optionTitle()
	{
		mblmi_render_partial('menu_option_title', 'admin');
	}
	
	public function optionContent()
	{
		mblmi_render_partial('menu_option_content', 'admin');
	}

	public function setShortDescriptionMaxLength()
    {
        return wpm_get_option('mblmi.short_description_maxlength');
    }
}
